Subject: bug#45521: closed (Re: bug#45521: 13.0.0; C-c C-c gives "Wrong type argument: number-or-marker-p, nil")

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 30 Dec 2020 09:51:03 +0000

Your bug report

#45521: 13.0.0; C-c C-c gives "Wrong type argument: number-or-marker-p, nil"

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45521: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45521
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45521: 13.0.0; C-c C-c gives "Wrong type argument: number-or-marker-p, nil"
From: Tassilo Horn <[email-masked]>
To: Uwe Siart <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 30 Dec 2020 10:44:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Uwe Siart <[email-masked]> writes:

Hi Uwe,

> Good news! With 13.0.1 the error is gone.

Oh, well, that was unexpected.  The only change in 13.0.1 compared with
13.0.0 was a fix in how we call the evince viewer with filenames
containing question marks, and that we use spaces instead of tabs for
indenting the code.  Both should have zero effects on your issue.

The only thing I can imagine is that the upgrade deleted some leftover
of some previous 12.x.y install which caused the malfunction.  However,
that should have appeared in `M-x list-load-path-shadows RET'.

Anyway, I'm closing the bug.  Feel free to report a new one in case the
error happens again.

> Many thanks for your readiness to help!

You're welcome!

Bye,
Tassilo

Subject: 13.0.0; C-c C-c gives "Wrong type argument: number-or-marker-p, nil"
From: Uwe Siart <[email-masked]>
To: [email-masked]
Date: Tue, 29 Dec 2020 08:21:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

When I try to call latex on any document I get "Wrong type argument:
number-or-marker-p, nil".

Thanks
Uwe

Emacs  : GNU Emacs 27.1 (build 1, i686-w64-mingw32)
 of 2020-08-21
Package: 13.0.0

current state:
==============
(setq
 AUCTeX-date "2020-12-24"
 window-system 'w32
 LaTeX-version "2e"
 TeX-style-path '("~/.emacs.d/auctex" "c:/Users/siart/.emacs.d/elpa/auctex-13.0.0/style"
                  "c:/Users/siart/.emacs.d/auctex/auto" "c:/Users/siart/.emacs.d/auctex/style" "auto" "style")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master t
 TeX-command-list '(("TeX" "%(PDF)%(tex) %(file-line-error) %`%(extraopts) %S%(PDFout)%(mode)%' %t" TeX-run-TeX nil
                     (plain-tex-mode ams-tex-mode texinfo-mode) :help "Run plain TeX")
                    ("LaTeX" "%`%l%(mode)%' %T" TeX-run-TeX nil (latex-mode doctex-mode) :help "Run LaTeX")
                    ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil (texinfo-mode) :help
                     "Run Makeinfo with Info output")
                    ("Makeinfo HTML" "makeinfo %(extraopts) --html %t" TeX-run-compile nil (texinfo-mode) :help
                     "Run Makeinfo with HTML output")
                    ("AmSTeX" "amstex %(PDFout) %`%(extraopts) %S%(mode)%' %t" TeX-run-TeX nil (ams-tex-mode) :help
                     "Run AMSTeX")
                    ("ConTeXt" "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode)
                     :help "Run ConTeXt once")
                    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode) :help
                     "Run ConTeXt until completion")
                    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil
                     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode context-mode) :help "Run BibTeX")
                    ("Biber" "biber %s" TeX-run-Biber nil
                     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help "Run Biber")
                    ("View" "%V" TeX-run-discard-or-function t t :help "Run Viewer")
                    ("Print" "%p" TeX-run-command t t :help "Print the file")
                    ("Queue" "%q" TeX-run-background nil t :help "View the printer queue" :visible TeX-queue-command)
                    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t
                     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
                     "Generate PostScript file")
                    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil
                     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
                     "Convert DVI file to PostScript")
                    ("Dvipdfmx" "dvipdfmx %d" TeX-run-dvipdfmx nil
                     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
                     "Convert DVI file to PDF with dvipdfmx")
                    ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil
                     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
                     "Convert PostScript file to PDF")
                    ("Glossaries" "makeglossaries %s" TeX-run-command nil
                     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
                     "Run makeglossaries to create glossary\n     file")
                    ("Index" "makeindex %s" TeX-run-index nil
                     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
                     "Run makeindex to create index file")
                    ("upMendex" "upmendex %s" TeX-run-index t
                     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
                     "Run upmendex to create index file")
                    ("Xindy" "texindy %s" TeX-run-command nil
                     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
                     "Run xindy to create index file")
                    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help "Check LaTeX file for correctness")
                    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode) :help
                     "Check LaTeX file for common mistakes")
                    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t :help "Spell-check the document")
                    ("Clean" "TeX-clean" TeX-run-function nil t :help "Delete generated intermediate files")
                    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
                     "Delete generated intermediate and output files")
                    ("Other" "" TeX-run-command t t :help "Run an arbitrary command"))
 )
-- 
Dr.-Ing. Uwe Siart
Chair of High-Frequency Engineering
Department of Electrical and Computer Engineering
Technical University of Munich (TUM)
Arcisstr. 21, 80333 München, Germany
Email: [email-masked]
Tel.:  +49.89.289.23374
Fax:   +49.89.289.23365